"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CenterSquaresLoader = void 0;
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("@emotion/styled"));
const react_2 = require("@emotion/react");
const animation = (0, react_2.keyframes) `
  33% {
    transform: translate(0, 0);
    opacity: 0.7;
  }
  66% {
    transform: translate(0, 0);
    opacity: 0.7;
  }
`;
const Container = styled_1.default.div `
  width: 50px;
  line-height: 10px;
  height: 50px;

  & > div {
    display: inline-block;
    width: 15px;
    height: 15px;
    opacity: 0.2;
    background: ${props => props.color};
    margin: 3px;
    animation: ${animation} 2s infinite;
  }
`;
const Square1 = styled_1.default.div `
  opacity: 0.5;
  transform: translate(0, -25px);
`;
const Square2 = styled_1.default.div `
  opacity: 0.5;
  transform: translate(25px, 0);
`;
const Square3 = styled_1.default.div `
  opacity: 0.5;
  transform: translate(-25px, 0);
`;
const Square4 = styled_1.default.div `
  opacity: 0.5;
  transform: translate(0, 25px);
`;
const CenterSquaresLoader = ({ color = '#4092de' }) => react_1.default.createElement(Container, { color: color, role: "status", "aria-label": "loading" },
    react_1.default.createElement(Square1, null),
    react_1.default.createElement(Square2, null),
    react_1.default.createElement(Square3, null),
    react_1.default.createElement(Square4, null));
exports.CenterSquaresLoader = CenterSquaresLoader;
