"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DotLineLoader = void 0;
const react_1 = __importStar(require("react"));
const styled_1 = __importDefault(require("@emotion/styled"));
const react_2 = require("@emotion/react");
const animation = (0, react_2.keyframes) `
  40% {
    transform: translateX(0px);
    opacity: 0.8
  }
  100% {
    transform: translateX(300px);
    opacity: 0
  }
`;
const Container = styled_1.default.div `
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50%;
  width: 45%;
  margin: 5%;
  position: relative;

  & > div {
    display: inline-block;
    background: ${props => props.color};
    height: 5px;
    width: 5px;
    opacity: 0;
    border-radius: 50%;
    transform: translateX(-300px);
    margin: 0 2px 0 2px;
  }
`;
const Dot = styled_1.default.div `
  animation: ${animation} 4s infinite;
  animation-delay: ${props => props.delay};
`;
exports.DotLineLoader = (0, react_1.memo)(({ color = '#4092de' }) => react_1.default.createElement(Container, { color: color, role: "status", "aria-label": "loading" },
    react_1.default.createElement(Dot, { delay: ".8s" }),
    react_1.default.createElement(Dot, { delay: ".7s" }),
    react_1.default.createElement(Dot, { delay: ".6s" }),
    react_1.default.createElement(Dot, { delay: ".5s" }),
    react_1.default.createElement(Dot, { delay: ".4s" }),
    react_1.default.createElement(Dot, { delay: ".3s" }),
    react_1.default.createElement(Dot, { delay: ".2s" }),
    react_1.default.createElement(Dot, { delay: ".1s" })));
