"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DotWaveLoader = void 0;
const react_1 = __importStar(require("react"));
const styled_1 = __importDefault(require("@emotion/styled"));
const react_2 = require("@emotion/react");
const animation = (0, react_2.keyframes) `
  0% {
    transform: translateY(0px)
  }
  35% {
    transform: translateY(0px);
    opacity: 0.3
  }
  50% {
    transform: translateY(-20px);
    opacity: 0.8
  }
  70% {
    transform: translateY(3px);
    opacity: 0.8
  }
  85% {
    transform: translateY(-3px)
  }
`;
const Container = styled_1.default.div `
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50%;
  width: 45%;
  margin: 5%;
  position: relative;
`;
const LoaderDot = styled_1.default.div `
  height: 50px;
  width: 80px;
`;
const Dot = styled_1.default.div `
  display: inline-block;
  background: ${props => props.color};
  height: 8px;
  width: 8px;
  opacity: 0.3;
  border-radius: 50%;
  animation: ${animation} 1.8s infinite;
`;
const Dot2 = (0, styled_1.default)(Dot) `
  animation-delay: .15s;
`;
const Dot3 = (0, styled_1.default)(Dot) `
  animation-delay: .3s;
`;
const Dot4 = (0, styled_1.default)(Dot) `
  animation-delay: .45s;
`;
const Dot5 = (0, styled_1.default)(Dot) `
  animation-delay: .6s;
`;
exports.DotWaveLoader = (0, react_1.memo)(({ color = '#4092de' }) => react_1.default.createElement(Container, null,
    react_1.default.createElement(LoaderDot, { role: "status", "aria-label": "loading" },
        react_1.default.createElement(Dot, { color: color }),
        react_1.default.createElement(Dot2, { color: color }),
        react_1.default.createElement(Dot3, { color: color }),
        react_1.default.createElement(Dot4, { color: color }),
        react_1.default.createElement(Dot5, { color: color }))));
