"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LittleDotLoader = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("@emotion/react");
const styled_1 = __importDefault(require("@emotion/styled"));
const pulseAnimation = (0, react_2.keyframes) `
  30% {
    transform: scale(0.7);
    opacity: 0.8
  }
  50% {
    transform: scale(1.1);
    opacity: 1.0
  }
  70% {
    transform: scale(0.8);
    opacity: 0.8
  }
`;
const radiusAnimation = (0, react_2.keyframes) `
  30% {
    transform: scale(0.7);
    opacity: 1
  }

  40% {
    transform: scale(7.8);
    opacity: 0.1
  }

  80% {
    transform: scale(4.8);
    opacity: 0
  }

  100% {
    transform: scale(1);
    opacity: 0
  }
`;
const Loader = styled_1.default.div `
  display: flex;
  position: relative;
`;
const Pulse = styled_1.default.div `
  background: ${props => props.color};
  width: 15px;
  height: 15px;
  border-radius: 50%;
  animation: ${pulseAnimation} 1.5s infinite;
  position: absolute;
  opacity: 0.8;
  z-index: 5;
`;
const Explosion = styled_1.default.div `
  content: '';
  width: 15px;
  height: 15px;
  background: ${props => props.color};
  border-radius: 50%;
  position: absolute;
  animation: ${radiusAnimation} 1.5s infinite;
  z-index: 1;
`;
const LittleDotLoader = ({ color = '#4092de' }) => react_1.default.createElement(Loader, null,
    react_1.default.createElement("div", { role: "status", "aria-label": "loading" },
        react_1.default.createElement(Pulse, { color: color }),
        react_1.default.createElement(Explosion, { color: color })));
exports.LittleDotLoader = LittleDotLoader;
