"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RotateCirclesLoader = void 0;
const react_1 = __importStar(require("react"));
const styled_1 = __importDefault(require("@emotion/styled"));
const react_2 = require("@emotion/react");
const Loader = styled_1.default.div `
  display: flex;
  width: 100px;
  height: 45px;
`;
const CircleBase = styled_1.default.div `
  width: 30px;
  height: 30px;
  border-radius: 50%;
  position: absolute;
  opacity: .75;
  background-color: ${props => props.color};
`;
const circle1Anim = (0, react_2.keyframes) `
  0%, 100% {
    -webkit-transform: translateX(-15px);
    transform: translateX(-15px);
  }
  25% {
    -webkit-transform: scale(0.6);
    transform: scale(0.6);
    opacity: .25;
  }
  50% {
    -webkit-transform: translateX(15px);
    transform: translateX(15px);
  }
  75% {
    -webkit-transform: scale(1.4);
    transform: scale(1.4);
    opacity: .8;
  }
`;
const circle2Anim = (0, react_2.keyframes) `
  0%, 100% {
    -webkit-transform: translateX(15px);
    transform: translateX(15px);
  }
  25% {
    -webkit-transform: scale(1.4);
    transform: scale(1.4);
    opacity: .8;
  }
  50% {
    -webkit-transform: translateX(-15px);
    transform: translateX(-15px);
  }
  75% {
    -webkit-transform: scale(0.6);
    transform: scale(0.6);
    opacity: .25;
  }
`;
const Circle1 = (0, styled_1.default)(CircleBase) `
  animation: ${circle1Anim} 2s infinite linear;
`;
const Circle2 = (0, styled_1.default)(CircleBase) `
  animation: ${circle2Anim} 2s infinite linear;
`;
exports.RotateCirclesLoader = (0, react_1.memo)((props) => {
    const { color1 = '#666', color2 = '#066' } = props;
    return react_1.default.createElement(Loader, { role: "status", "aria-label": "loading" },
        react_1.default.createElement(Circle1, { color: color1 }),
        react_1.default.createElement(Circle2, { color: color2 }));
});
