"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Frame = void 0;
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("@emotion/styled"));
const Container = styled_1.default.div `
  display: flex;
  flex-wrap: wrap;
`;
const Item = styled_1.default.div `
  display: flex;
  justify-content: center;
  align-items: center;
  width: 150px;
  height: 150px;
  cursor: pointer;
  border-radius: 4px;
  overflow: hidden;

  &:hover {
    border: 2px solid #154963;
    background-color: #fafaf9;
  }
`;
const Frame = ({ children }) => {
    return react_1.default.createElement(Container, null, react_1.default.Children.map(children, child => react_1.default.createElement(Item, null, child)));
};
exports.Frame = Frame;
